<?php
/**
 * DiscountConditionTypeEnumTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\MarketingClient;

use PHPUnit\Framework\TestCase;

/**
 * DiscountConditionTypeEnumTest Class Doc Comment
 *
 * @category    Class
 * @description Тип условия возникновения права на скидку:   * &#x60;2&#x60; - На заказ от определенной суммы   * &#x60;3&#x60; - На заказ от определенной суммы товаров заданного бренда   * &#x60;4&#x60; - На заказ от определенной суммы товаров заданной категории   * &#x60;5&#x60; - На количество единиц одного товар   * &#x60;6&#x60; - На способ доставки   * &#x60;7&#x60; - На способ оплаты
 * @package     Ensi\MarketingClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class DiscountConditionTypeEnumTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "DiscountConditionTypeEnum"
     */
    public function testDiscountConditionTypeEnum()
    {
    }
}
